Closed Bug 1403297 Opened 4 years ago Closed 4 years ago

WebRender: Google Docs' hyperlink popup window's "Searching" progress spinner looks like a wheel with spokes

Categories

(Core :: Graphics: WebRender, defect)

57 Branch
Unspecified
All
defect
Not set
normal

Tracking

()

RESOLVED FIXED
Tracking Status
firefox-esr52 --- unaffected
firefox55 --- unaffected
firefox56 --- unaffected
firefox57 --- unaffected
firefox58 --- unaffected

People

(Reporter: cpeterson, Assigned: gw)

References

(Blocks 1 open bug, )

Details

I enabled WebRender on Nightly 58 and Windows 10 using the instructions in this blog post:

https://mozillagfx.wordpress.com/2017/09/25/webrender-newsletter-5/

STR:
1. Open a Google Doc.
2. Select some doc text and press Ctrl+K keyboard shortcut to create a hyperlink.
3. In the link popup window, start typing in the "Paste a link, or search" text field.

RESULT:
As you type, the rotating image to the left of the popup's "Searching..." menu item has visual artifacts that make the spinning arrow look like a wheel with spokes.

Disabling WebRender and restarting Firefox made the problem go away.

This bug might be related to bug 1401665.
bug 1401665 (currently) does only happen when "webrendest" is enabled on top of webrender etc.
Can you make this problem go away by only disabling webrendest? (A restart is only needed for webrender, but not for webrendest.)
It might also be related to bug 1398092, which I think is not related to webrendest.
(In reply to Jan Andre Ikenmeyer [:darkspirit] from comment #1)
> Can you make this problem go away by only disabling webrendest? (A restart
> is only needed for webrender, but not for webrendest.)

I can still reproduce this bug with webrendest disabled.
Priority: -- → P2
Whiteboard: [wr-mvp]
(In reply to Chris Peterson [:cpeterson] from comment #0)
> has visual artifacts that make the spinning arrow look like a wheel with spokes.

WFM. There were multiple issues, but the last one was bug 1404158, which got fixed by bug 1413178.

mozregression --find-fix --bad 2017-09-26 --good 2017-11-13 --pref "layers.acceleration.force-enabled:true" "gfx.webrender.enabled:true" "gfx.webrendest.enabled:true" "gfx.webrender.layers-free:true" "gfx.webrender.blob-images:true" --profile-persistence clone-first
> 9:01.02 INFO: No more inbound revisions, bisection finished.
> 9:01.02 INFO: First good revision: 01f4294ed4bc49c040c9ce2c04234b3a2327ea6b
> 9:01.02 INFO: Last bad revision: 66f496680fae6e7d8f02bc17ff58b9234ee07c70
> 9:01.02 INFO: Pushlog:
> https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=66f496680fae6e7d8f02bc17ff58b9234ee07c70&tochange=01f4294ed4bc49c040c9ce2c04234b3a2327ea6b
includes
> Kartikaya Gupta — Bug 1413178 - Update webrender to commit fae962bfd6e1997f4b921ee93c3c1cc5abca3256. r=lsalzman
Status: NEW → RESOLVED
Closed: 4 years ago
Depends on: 1404158
OS: Unspecified → All
Resolution: --- → WORKSFORME
Priority: P2 → --
Whiteboard: [wr-mvp]
Assignee: nobody → gwatson
Resolution: WORKSFORME → FIXED
Depends on: 1420494
Depends on: 1420497
No longer depends on: 1420497
No longer depends on: 1420494
You need to log in before you can comment on or make changes to this bug.